Skip to main content
GET
/
installations
List installations
curl --request GET \
  --url https://api-dev.narrative.io/installations \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-dev.narrative.io/installations"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-dev.narrative.io/installations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "current_page": 1,
  "next_page": null,
  "total_records": 1,
  "total_pages": 1,
  "records": [
    {
      "id": 12345,
      "app_id": 67,
      "company_id": 345,
      "tier_id": "basic",
      "permissions": [
        {
          "access": "read",
          "resource": "datasets"
        }
      ],
      "installation_time": "2024-01-15T10:30:00"
    }
  ]
}
{
"error": "Unauthorized",
"error_description": "You are not authorized to use this endpoint."
}
{
"error": "Unauthorized",
"error_description": "You are not authorized to use this endpoint."
}
{
"error": "Unauthorized",
"error_description": "You are not authorized to use this endpoint."
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

app_category
enum<string>[]

Filter installations by app category. Can be specified multiple times to filter by multiple categories.

Available options:
destination_connector
company_id
integer<int64>

Filter installations by company. Only meaningful with an app client-credentials token; with a company-scoped token the value must match the authenticated company.

page
integer

Number of page. Stars from the first (1) page.

per_page
integer

Number of records to return.

Response

Successfully retrieved list of installations.

A paginated list of installations.

current_page
integer<int64>
required

The number of requested page.

Example:

1

total_records
integer<int64>
required

Total amount of accessible Access Rules

Example:

15000

total_pages
integer<int64>
required

Total amount of pages.

Example:

10

records
object[]
required
prev_page
integer<int64>

The number of previous page (if exists). Also can refer to the latest existing page if non-existing page was requested.

Example:

1

next_page
integer<int64>

The number of next page (if exists).

Example:

42